<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.chinaweal.aiccs.crgs.moveinDetails.mapper.EImPermitMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.chinaweal.aiccs.crgs.moveinDetails.entity.EImPermit">
        <id column="LICID" property="licid" />
        <result column="PRIPID" property="pripid" />
        <result column="ENTNAME" property="entname" />
        <result column="REGNO" property="regno" />
        <result column="UNISCID" property="uniscid" />
        <result column="LICNO" property="licno" />
        <result column="LICNAME_CN" property="licnameCn" />
        <result column="VALFROM" property="valfrom" />
        <result column="VALTO" property="valto" />
        <result column="LICANTH" property="licanth" />
        <result column="LICITEM" property="licitem" />
        <result column="TYPE" property="type" />
        <result column="CANDATE" property="candate" />
        <result column="EQUPLECANREA" property="equplecanrea" />
        <result column="REVDATE" property="revdate" />
        <result column="SUGREVREASON" property="sugrevreason" />
        <result column="INVALIDDATE" property="invaliddate" />
        <result column="INVALIDREA" property="invalidrea" />
        <result column="PUBLICDATE" property="publicdate" />
        <result column="S_EXT_FROMNODE" property="sExtFromnode" />
        <result column="S_EXT_DATATIME" property="sExtDatatime" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        LICID, PRIPID, ENTNAME, REGNO, UNISCID, LICNO, LICNAME_CN, VALFROM, VALTO, LICANTH, LICITEM, TYPE, CANDATE, EQUPLECANREA, REVDATE, SUGREVREASON, INVALIDDATE, INVALIDREA, PUBLICDATE, S_EXT_FROMNODE, S_EXT_DATATIME, create_time, update_time
    </sql>

</mapper>
